package ru.yandex.webmaster3.core.robotstxt;

/**
 * @author avhaliullin
 */
public class ErrorInfo {
    private final FormatErrorType type;
    private final int lineNumber;

    public ErrorInfo(FormatErrorType type, int lineNumber) {
        this.type = type;
        this.lineNumber = lineNumber;
    }

    public long getLineNumber() {
        return lineNumber;
    }

    public FormatErrorType getType() {
        return type;
    }
}
